         READ(5, 101) NUMBER1, NUMBER2
  101    FORMAT (2I5)
         WRITE (6,102) NUMBER1, NUMBER2
  102    FORMAT (1X, ' The numbers you entered are ' , I6, ' and', I6)

         IF (NUMBER2 .LT. NUMBER1) GO TO 23
         CALL SWAP (NUMBER1, NUMBER2)
         WRITE (6, 14)  NUMBER1, NUMBER2
   14    FORMAT (1X, ' The numbers in descending order are ', I7, I7)
         GO TO  56
  23     CALL SWAP (NUMBER1, NUMBER2)
         WRITE (6, 103) NUMBER1, NUMBER2
  103    FORMAT (1X, ' Here are the numbers in ascending order ',
     6      I10, I10)
  56     STOP
         END
         SUBROUTINE SWAP (I,J)
         ITEMP = I
         I = J
         J = ITEMP
         RETURN
         END

